logo Debian Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés logo inclusivité

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-06-2023 09:24:22

Lupa
Membre
Distrib. : Debian Stretch 4.9.110-3+deb9u6 / Buster
Noyau : 4.9.0-8-amd64 (Stretch) Buster : 5.4.0-0.bpo.2-amd
(G)UI : xfce
Inscription : 28-06-2017

Préparation à Bookworm

Bonjour à tous smile

Mon sources.list n'est pas correct :


#deb cdrom:[Debian GNU/Linux 12.0.0 _Bookworm_ - Official amd64 DVD Binary-1 with firmware 20230610-10:23]/ bookworm main non-free-firmware

deb http://deb.debian.org/debian/ bookworm main contrib non-free non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm main contrib non-free non-free-firmware

deb http://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware
deb-src http://security.debian.org/debian-security bookworm-security main contrib non-free non-free-firmware

# bookworm-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm-updates main contrib non-free non-free-firmware

# bookworm-backports, previously on backports.debian.org
deb http://deb.debian.org/debian/ bookworm-backports main contrib non-free non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm-backports main contrib non-free non-free-firmware

 



Est-ce normal que je ne puisse pas utiliser les backports ?
Je les vois, mais ne peux pas les utiliser.
C'est peut-être normal ? Il n'y en n'a pas encore ?

Réponse de l'OS : "E" en rouge : la valeur boobworm-backports n'est pas valable pour APT-defalt-Realese car cette version ne fait pas partie des sources disponibles".

C'est juste une bécane de test, pour apprivoiser le nouveau...

Dernière modification par Lupa (27-06-2023 09:28:05)

Hors ligne

#2 27-06-2023 10:55:39

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Préparation à Bookworm

salut,

Lupa a écrit :

Il n'y en n'a pas encore ?


ça semble plutôt ça ce qui parait un peu logique ...Bookworm a à peine un mois en tant que stable et n'est pas listée pour l'instant dans les backports...
https://backports.debian.org/

En ligne

#3 27-06-2023 11:31:09

vv222
Administrateur
Distrib. : Debian Sid
(G)UI : sway
Inscription : 18-11-2013
Site Web

Re : Préparation à Bookworm

Lupa a écrit :

Réponse de l'OS : "E" en rouge : la valeur boobworm-backports n'est pas valable pour APT-defalt-Realese car cette version ne fait pas partie des sources disponibles".


"boobworm" ≠ "bookworm" big_smile

L’erreur n’est pas dans ton fichier sources.list, mais dans la commande apt que tu lances.

---

ubub a écrit :

Bookworm a à peine un mois en tant que stable et n'est pas listée pour l'instant dans les backports...
https://backports.debian.org/


Ce site n’est probablement pas à jour : le dépôt bookworm-backports existe bien, je l’utilise sur un de mes systèmes.


Jouer sous Debian ? Facile !

Ceterum censeo Barum esse delendam

Hors ligne

#4 27-06-2023 12:58:35

Anonyme
Invité

Re : Préparation à Bookworm

Bonjour,
il y a quelques jours je voyais ces dépôts vides https://packages.debian.org/en/bookworm … llpackages, et c'est toujours le cas.
Pourtant à la lecture de vv222, je découvre que http://ftp.debian.org/debian/dists/bookworm-backports/ est déjà bien rempli.
J'ai mal compris un truc ?

#5 27-06-2023 13:05:45

Trefix
Membre
Lieu : 48
Distrib. : bookworm
Noyau : linux 6.1.0-23-amd64
(G)UI : Xfce4 4.18
Inscription : 15-02-2015

Re : Préparation à Bookworm

Bonjour.

Install' depuis live-usb, j'avais coché "backports" et j'ai aussi (par exemple) :

apt search -t bookworm-backports audacity


E: La valeur « bookworm-backports » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: La valeur « bookworm-backports » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
 

et idem en root

Contenu du /etc/apt/sources.list créé par l'installeur

#deb cdrom:[Debian GNU/Linux 12 _Bookworm_ - Official Snapshot amd64 LIVE/INSTALL Binary 20230610-08:51]/ bookworm main non-free-firmware

deb http://deb.debian.org/debian/ bookworm main contrib non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm main contrib non-free-firmware

deb http://security.debian.org/debian-security bookworm-security main contrib non-free-firmware
deb-src http://security.debian.org/debian-security bookworm-security main contrib non-free-firmware

# bookworm-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm-updates main contrib non-free-firmware

# bookworm-backports, previously on backports.debian.org
deb http://deb.debian.org/debian/ bookworm-backports main contrib non-free-firmware
deb-src http://deb.debian.org/debian/ bookworm-backports main contrib non-free-firmware

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
 



Et présence d'un dossier /etc/apt/sources.list.d/ vide. En prévision de la nouvelle manière d'enregistrer les sources ?
.

Dernière modification par Trefix (27-06-2023 13:18:45)

Hors ligne

#6 27-06-2023 13:19:17

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Préparation à Bookworm

Ign :4 http://deb.debian.org bookworm-backports InRelease
Err :5 http://deb.debian.org bookworm-backports Release
  404  Not Found [IP : 199.232.170.132 80]
Lecture des listes de paquets... Fait
E: Le dépôt http://deb.debian.org bookworm-backports Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.


scratchhead.gif  mal ortographié ?

Dernière modification par ubub (27-06-2023 13:20:16)

En ligne

#7 27-06-2023 13:55:56

vv222
Administrateur
Distrib. : Debian Sid
(G)UI : sway
Inscription : 18-11-2013
Site Web

Re : Préparation à Bookworm

Vous m’avez fait douter avec vos retours, alors je suis quand même allé vérifier sur mon système qui utilise ce dépôt. Il utilise ce fichier de sources :

Types: deb
URIs: http://deb.debian.org/debian
Suites: bookworm bookworm-updates bookworm-backports
Architectures: amd64
Components: main contrib

Types: deb
URIs: http://deb.debian.org/debian-security
Suites: bookworm-security
Architectures: amd64
Components: main contrib



Une mise-à-jour de l’index des paquets ne semble remonter aucune erreur :

apt update

Atteint :1 http://deb.debian.org/debian bookworm InRelease
Atteint :2 http://fasttrack.debian.net/debian bookworm-backports-staging InRelease
Atteint :3 http://deb.debian.org/debian bookworm-updates InRelease
Atteint :4 http://fasttrack.debian.net/debian bookworm-fasttrack InRelease
Atteint :5 http://deb.debian.org/debian bookworm-backports InRelease
Atteint :6 http://deb.debian.org/debian-security bookworm-security InRelease
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait
Tous les paquets sont à jour.


(les lignes fasttrack.debian.net sont définies dans un autre fichier de sources que celui que j’ai partagé)


Jouer sous Debian ? Facile !

Ceterum censeo Barum esse delendam

Hors ligne

#8 27-06-2023 14:46:26

Lupa
Membre
Distrib. : Debian Stretch 4.9.110-3+deb9u6 / Buster
Noyau : 4.9.0-8-amd64 (Stretch) Buster : 5.4.0-0.bpo.2-amd
(G)UI : xfce
Inscription : 28-06-2017

Re : Préparation à Bookworm

Merci wink
Je vais regarder ça.

Il y a sans doute (entre autres c***) une erreur d'orthographe.

Hors ligne

#9 27-06-2023 16:14:57

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Préparation à Bookworm

+++ toute façon, semble pas y avoir grand chose à glaner ...
https://packages.debian.org/fr/bookworm … llpackages

Dernière modification par ubub (27-06-2023 17:01:53)

En ligne

#10 27-06-2023 20:56:22

Anonyme
Invité

Re : Préparation à Bookworm

#11 27-06-2023 22:53:56

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Préparation à Bookworm

oui, mais c'est quoi qui y est proposé en fait ...?...
des contents et des binaire pour les différentes architectures ...
j'ai été voir binary amd64 ... j'suis largué ...
J'ai l'impression que ça correspond plus au "socle" des prochains backports, mais j'y entrave pas grand chose ...

En ligne

#12 28-06-2023 07:50:34

Trefix
Membre
Lieu : 48
Distrib. : bookworm
Noyau : linux 6.1.0-23-amd64
(G)UI : Xfce4 4.18
Inscription : 15-02-2015

Re : Préparation à Bookworm

Bonjour.

@vv222 j'ai mis mes infos car c'est ce que l'installeur a écrit lors de l'installation depuis une image live+xfce en USB. C'est donc l'ancien système de sources ET j'avais demandé les backports sur l'écran ad-hoc, mon capitaine ; )

La doc nous dit (https://www.debian.org/doc/manuals/debi … _backports) :

debian a écrit :

There is no need to set Pin-Priority value explicitly in the "/etc/apt/preferences" file.



/etc/apt/préférences.d/ est vide, dans mon install. où ne figure pas non plus de fichier /etc/apt/preferences.

Il me semble me souvenir avoir vu passer pendant l'installation, dans les parages de la configuration d'apt, une fenêtre de config' de préférences que l'installeur proposait de zapper par défaut (install en mode expert). Il ne s'agissait pas d'une vraie "propre" puisque j'ai gardé mon /home issu de Buster.

Si je peux fournir des logs ou d'autres info sur ce "mystère", il suffit de demander. Bonne journée.


Édith ajoute ce retour :

apt update


Atteint :1 http://security.debian.org/debian-security bookworm-security InRelease
Réception de :2 http://deb.debian.org/debian bookworm InRelease [147 kB]
Atteint :3 http://deb.debian.org/debian bookworm-updates InRelease
Atteint :4 http://deb.debian.org/debian bookworm-backports InRelease
147 ko réceptionnés en 1s (104 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Tous les paquets sont à jour.
 



Au cas où, avec apt-get (cf doc) :

apt-get -s install -t bookworm-backports musescore


Lecture des listes de paquets... Fait
E: La valeur « bookworm-backports » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.


.

Dernière modification par Trefix (28-06-2023 08:03:26)

Hors ligne

#13 28-06-2023 09:12:57

Croutons
Membre
Distrib. : Debian12
Noyau : Linux 6.1.0-13-amd64
(G)UI : Fluxbox(NakeDeb)
Inscription : 16-12-2016

Re : Préparation à Bookworm

il faut pas s'acharner comme sa sur le backports le dépôt est en place mais il y a rien dedans , pour cause Bookworm est tout neuf

apt policy musescore


musescore:
  Installé : (aucun)
  Candidat : 2.3.2+dfsg4-15
 Table de version :
     2.3.2+dfsg4-15 500
        500 http://deb.debian.org/debian bookworm/main amd64 Packages


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<-- 
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#14 28-06-2023 12:18:42

èfpé
Membre
Inscription : 10-07-2016

Re : Préparation à Bookworm

ubub a écrit :

J'ai l'impression que ça correspond plus au "socle" des prochains backports, [...]


C'est très exactement ça... quant à la comprenette il te suffira de regarder le contenu des archives :

  • une archive *.gz de 20 octets contient un fichier vide

  • une archive *.xz de 32 octets contient un fichier vide


Tu peux également comparer les contenus des dépôts bookworm-backports, et bullseye-backports.

Alexander Wirt a écrit :

Please don’t upload to bookworm backports until you saw an announcement on it.


Ceci explique peut-être le message d'erreur... L'annonce sera faite sur debian-backports-announce !

Hors ligne

#15 29-06-2023 07:05:15

Trefix
Membre
Lieu : 48
Distrib. : bookworm
Noyau : linux 6.1.0-23-amd64
(G)UI : Xfce4 4.18
Inscription : 15-02-2015

Re : Préparation à Bookworm

Bonjour et merci pour ces précisions.

Par contre le message d'erreur est très mal formulé (effet de la traduction ?) puisqu'il déclare en substance que des dépôts installés ne font pas partie de la distribution. D'où les interrogations remontées dans ce fil...

Hors ligne

#16 29-06-2023 09:39:55

Anonyme
Invité

Re : Préparation à Bookworm

èfpé a écrit :

ubub a écrit :

J'ai l'impression que ça correspond plus au "socle" des prochains backports, [...]


C'est très exactement ça... quant à la comprenette il te suffira de regarder le contenu des archives :

  • une archive *.gz de 20 octets contient un fichier vide

  • une archive *.xz de 32 octets contient un fichier vide


Tu peux également comparer les contenus des dépôts bookworm-backports, et bullseye-backports.

Alexander Wirt a écrit :

Please don’t upload to bookworm backports until you saw an announcement on it.


Ceci explique peut-être le message d'erreur... L'annonce sera faite sur debian-backports-announce !


Bien vu ! Ça explique pourquoi le site de recherche de packages indique que c'est vide. Je me suis laissé piéger big_smile

#17 29-06-2023 11:24:42

èfpé
Membre
Inscription : 10-07-2016

Re : Préparation à Bookworm

message à supprimer

Dernière modification par èfpé (07-07-2023 11:24:42)

Hors ligne

Pied de page des forums